Skip to main content

Update the key manager CA certificate on a system

Updates the key manager certificate authority (CA) certificate on a Cloud Volumes ONTAP system. Use this to replace an expired or compromised CA certificate to ensure secure communication with the key manager.

HTTP method and endpoint

POST /aws/ha/encryption/{workingEnvironmentId}/update-key-manager-ca-certificate

Parameters

Name Type In Required Description

workingEnvironmentId

string

path

True

Request Body

Name Type Required Description

keyManagerCaCertificateId

string

True

Example request
{
  "keyManagerCaCertificateId": "string"
}

Error

Status: Default, Default response
Name Type Required Description

certificate

string

False

certificateType

string

False

directIssuerName

string

False

endDate

integer

False

publicId

string

False

serialNumber

string

False

startDate

integer

True

subjectName

string

False

Example error response
{
  "certificate": "string",
  "certificateType": "string",
  "directIssuerName": "string",
  "publicId": "string",
  "serialNumber": "string",
  "startDate": 0,
  "subjectName": "string"
}